Package org.eclipse.mat.report.internal

# Class LinkedPart

java.lang.Object
org.eclipse.mat.report.internal.AbstractPart
org.eclipse.mat.report.internal.LinkedPart

public class LinkedPart extends AbstractPart

## Constructor Summary

Constructors
Constructor
Description
`LinkedPart(String id, AbstractPart parent, DataFile artefact, Spec spec, AbstractPart linkedTo)`

## Method Summary

Modifier and Type
Method
Description
`AbstractPart`
`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`

### Methods inherited from class org.eclipse.mat.report.internal.AbstractPart

`getChildren, getCommand, getId, getObject, getParent, getStatus, params, putObject, spec`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinkedPart

public LinkedPart(String id, AbstractPart parent, DataFile artefact, Spec spec, AbstractPart linkedTo)

## Method Details

### execute

public AbstractPart execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener) throws SnapshotException, IOException

Specified by:
  `execute` in class `AbstractPart`
Throws:
  `SnapshotException`
  `IOException`